corda / net.corda.core.utilities / ProgressTracker / Step

# Step

`class Step`

The superclass of all step objects.

### Constructors

<init> | `Step(label: String)` The superclass of all step objects.

### Properties

changes | `open val changes: Observable<Change>`
label | `open val label: String`

### Functions

childProgressTracker | `open fun childProgressTracker(): ProgressTracker?`

### Inheritors

APPROVING | `object APPROVING : Step`
AWAITING_PROPOSAL | `object AWAITING_PROPOSAL : Step`
AWAITING_PROPOSAL | `object AWAITING_PROPOSAL : Step`
AWAITING_REQUEST | `object AWAITING_REQUEST : Step`
BROADCASTING | `object BROADCASTING : Step`
COMMITTING | `object COMMITTING : Step`
COPYING_TO_REGULATOR | `object COPYING_TO_REGULATOR : Step`
DONE | `object DONE : Step`
FINALISING_TX | `object FINALISING_TX : Step`
GENERATING_TX | `object GENERATING_TX : Step`
ISSUING | `object ISSUING : Step`
NOTARISING | `object NOTARISING : Step`
NOTARY | `object NOTARY : Step`
NOTARY | `object NOTARY : Step`
RECEIVING | `object RECEIVING : Step`
RECEIVING | `object RECEIVING : Step`
RECORDING | `object RECORDING : Step`
RECORDING | `object RECORDING : Step`
REQUESTING | `object REQUESTING : Step`
RUNNING | `object RUNNING : Step`
RelabelableStep | `inner class RelabelableStep : Step` This class makes it easier to relabel a step on the fly, to provide transient information.
SENDING_CONFIRM | `object SENDING_CONFIRM : Step`
SENDING_FINAL_TX | `object SENDING_FINAL_TX : Step`
SENDING_SIGNATURES | `object SENDING_SIGNATURES : Step`
SENDING_SIGS | `object SENDING_SIGS : Step`
SIGNING | `object SIGNING : Step`
SIGNING | `object SIGNING : Step`
SIGNING | `object SIGNING : Step`
SIGNING | `object SIGNING : Step`
SIGNING | `object SIGNING : Step`
SIGNING_TX | `object SIGNING_TX : Step`
SWAPPING_SIGNATURES | `object SWAPPING_SIGNATURES : Step`
TRANSFERRING | `object TRANSFERRING : Step`
UNSTARTED | `object UNSTARTED : Step`
VALIDATING | `object VALIDATING : Step`
VERIFYING | `object VERIFYING : Step`
VERIFYING | `object VERIFYING : Step`
VERIFYING | `object VERIFYING : Step`
VERIFYING | `object VERIFYING : Step`
VERIFYING | `object VERIFYING : Step`
WAITING_FOR_TX | `object WAITING_FOR_TX : Step`